Package sop.enums

# Enum Class InlineSignAs

java.lang.Object
java.lang.Enum<InlineSignAs>
sop.enums.InlineSignAs

All Implemented Interfaces:
  `Serializable`, `Comparable<InlineSignAs>`, `Constable`

public enum InlineSignAs extends Enum<InlineSignAs>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`binary`
Signature is made over the binary message.
`clearsigned`
Signature is made using the Cleartext Signature Framework.
`text`
Signature is made over the message in text mode.

## Method Summary

Modifier and Type
Method
Description
`static InlineSignAs`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InlineSignAs[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### binary

public static final InlineSignAs binary
Signature is made over the binary message.

### text

public static final InlineSignAs text
Signature is made over the message in text mode.

### clearsigned

public static final InlineSignAs clearsigned
Signature is made using the Cleartext Signature Framework.

## Method Details

### values

public static InlineSignAs[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static InlineSignAs valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null